Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.components
Interface ConfigurationDialog

All Known Implementing Classes:
  SwingConfigurationDialogImpl

    public interface ConfigurationDialog

Behavior of a configuration dialog

Author:
  Ole.Matzura

Nested Class Summary
`static class` | `ConfigurationDialog.FieldType`

Method Summary
`void` | `addCheckBox(java.lang.String caption, java.lang.String label, boolean selected)`
`void` | `addComboBox(java.lang.String label, java.lang.Object[] objects, java.lang.String tooltip)`
`void` | `addComboBox(java.lang.String label, java.lang.String tooltip)`
`void` | `addTextField(java.lang.String name, java.lang.String tooltip)`
`void` | `addTextField(java.lang.String name, java.lang.String tooltip, ConfigurationDialog.FieldType type)`
`ActionList` | `getActions()`
`void` | `getValues(java.util.Map<java.lang.String,java.lang.String> values)`
`void` | `hide()`
`void` | `setValues(java.lang.String id, java.lang.String[] values)`
`boolean` | `show(java.util.Map<java.lang.String,java.lang.String> values)`

Method Detail

### show

    boolean show(java.util.Map<java.lang.String,java.lang.String> values)

### hide

    void hide()

### addTextField

    void addTextField(java.lang.String name,
                      java.lang.String tooltip)

### addTextField

    void addTextField(java.lang.String name,
                      java.lang.String tooltip,
                      ConfigurationDialog.FieldType type)

### addCheckBox

    void addCheckBox(java.lang.String caption,
                     java.lang.String label,
                     boolean selected)

### addComboBox

    void addComboBox(java.lang.String label,
                     java.lang.Object[] objects,
                     java.lang.String tooltip)

### setValues

    void setValues(java.lang.String id,
                   java.lang.String[] values)

### addComboBox

    void addComboBox(java.lang.String label,
                     java.lang.String tooltip)

### getActions

    ActionList getActions()

### getValues

    void getValues(java.util.Map<java.lang.String,java.lang.String> values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.